petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSplitOwnershipBlock

Given a global (or local) length determines a local (or global) length via a simple formula. Splits so each processors local size is divisible by the block size.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSplitOwnershipBlock(MPI_Comm comm,PetscInt bs,PetscInt *n,PetscInt *N)

Collective on MPI_Comm (if N is PETSC_DECIDE) Many br

### Input Parameters

| comm | - MPI communicator that shares the object being divided Many br
| bs | - block size Many br
| n | - local length (or PETSC_DECIDE to have it set) Many br
| N | - global length (or PETSC_DECIDE) Many br

Many br

### Notes

n and N cannot be both PETSC_DECIDE Many br

If one processor calls this with N of PETSC_DECIDE then all processors Many brmust, otherwise the program will hang. Many br

### See Also

PetscSplitOwnership()

Level:developer
Location:src/sys/utils/psplit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages